import mime from 'mime';
import { getLocalInput } from '../utils.js';
export function resolveInput(cwd, inputOverride) {
    let inputToUse;
    let contentType;
    if (inputOverride) {
        inputToUse = inputOverride;
        contentType = 'application/json';
    }
    else {
        const localInput = getLocalInput(cwd);
        if (localInput) {
            const ext = mime.getExtension(localInput.contentType);
            if (ext === 'json') {
                inputToUse = JSON.parse(localInput.body.toString('utf8'));
                contentType = 'application/json';
            }
            else {
                inputToUse = localInput.body;
                contentType = localInput.contentType;
            }
        }
    }
    if (!inputToUse || !contentType) {
        return null;
    }
    return { inputToUse, contentType };
}
//# sourceMappingURL=resolve-input.js.map